[Unit]
Description=Display system information on an OLED screen via I2C
Requires=network.target

[Service]
Type=simple
User={{ ansible_user | default(ansible_user_id) }}

; Uncomment the lines below to change the config
;Environment=OLED_INTERFACE=eth0
;Environment=OLED_MOUNT_POINT=/

WorkingDirectory=/home/mcfadmin/pi-oled
ExecStart=python3 stats.py

Restart=always
ProtectSystem=full
ProtectHome=read-only
PrivateTmp=true
NoNewPrivileges=true

[Install]
WantedBy=multi-user.target